org.icefaces.ace.component.linkbutton

## Interface ILinkButton

- All Known Implementing Classes:
    LinkButton, LinkButtonBase

      public interface ILinkButton

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAccesskey()`
    `java.lang.String` | `getHref()`
    `java.lang.String` | `getHrefLang()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.Integer` | `getTabindex()`
    `java.lang.String` | `getTarget()`
    `java.lang.Object` | `getValue()`
    `boolean` | `isDisabled()`
    `void` | `setAccesskey(java.lang.String accesskey)`
    `void` | `setDisabled(boolean disabled)`
    `void` | `setHref(java.lang.String href)`
    `void` | `setHrefLang(java.lang.String hrefLang)`
    `void` | `setStyle(java.lang.String style)`
    `void` | `setStyleClass(java.lang.String styleClass)`
    `void` | `setTabindex(java.lang.Integer tabindex)`
    `void` | `setTarget(java.lang.String target)`
    `void` | `setValue(java.lang.Object value)`

- - ### Method Detail

    - #### setAccesskey

          void setAccesskey(java.lang.String accesskey)

    - #### getAccesskey

          java.lang.String getAccesskey()

    - #### setDisabled

          void setDisabled(boolean disabled)

    - #### isDisabled

          boolean isDisabled()

    - #### setHref

          void setHref(java.lang.String href)

    - #### getHref

          java.lang.String getHref()

    - #### setHrefLang

          void setHrefLang(java.lang.String hrefLang)

    - #### getHrefLang

          java.lang.String getHrefLang()

    - #### setStyle

          void setStyle(java.lang.String style)

    - #### getStyle

          java.lang.String getStyle()

    - #### setStyleClass

          void setStyleClass(java.lang.String styleClass)

    - #### getStyleClass

          java.lang.String getStyleClass()

    - #### setTabindex

          void setTabindex(java.lang.Integer tabindex)

    - #### getTabindex

          java.lang.Integer getTabindex()

    - #### setTarget

          void setTarget(java.lang.String target)

    - #### getTarget

          java.lang.String getTarget()

    - #### setValue

          void setValue(java.lang.Object value)

    - #### getValue

          java.lang.Object getValue()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.